CKEDITOR.plugins.add( 'simplelink', {
    requires:	'link',
	icons:	'simplelink',
	hidpi: false,
    init: function( editor ) {
        editor.addCommand( 'link', new CKEDITOR.dialogCommand( 'simplelinkDialog' ) );  //override link command	
	
        CKEDITOR.dialog.add( 'simplelinkDialog', this.path + 'dialogs/simplelink.js' );

		if ( editor.removeMenuItem)
				editor.removeMenuItem('link');	
			
		if ( editor.addMenuItems ) {
			editor.addMenuItems( {
				link: {
					label: editor.lang.link.menu,
					command: 'link',
					group: 'link',
					order: 1
				}
			} );
		}
			
		editor.on( 'doubleclick', function( evt ) 
		{
			var element = CKEDITOR.plugins.link.getSelectedLink( editor ) || evt.data.element;

			if ( !element.isReadOnly() ) 
			{
				if ( element.is( 'a' ) ) {
					
					if(!element.getAttribute( 'name' ) &&  (element.getAttribute( 'href' ) || !element.getChildCount())  )
					{
						if(!/(?:[^\/])\/(([^\u0000-\u007F]|[\w-])+\.(?!(?:htm|php|asp|jsp|cfm|pl|cgi))\w+)$/.test(element.getAttribute( 'href' )))
						{
							editor.execCommand('link');
							return false;
						}	
					}	
					else if(element.getAttribute( 'name' ) && ( !element.getAttribute( 'href' ) || element.getChildCount()))
					{
						evt.data.dialog = 'anchor';
					}
				} else if ( CKEDITOR.plugins.link.tryRestoreFakeAnchor( editor, element ) )
					evt.data.dialog = 'anchor';
			}

		},null,null,5)
	}
});